class_name PawnSelector extends TextureRect

@onready var anim_player : AnimationPlayer = $AnimationPlayer
@export var player_id : int
@export var selection : int = 0
@export var selected : bool

func setup(id : int, color : Color) -> void:
	player_id = id
	modulate = color
	
func play_animation(anim : String) -> void:
	anim_player.play(anim)
